package com.eitc.modules.sys.service;

import com.eitc.common.service.BaseService;
import com.eitc.modules.sys.dto.SysRegionDTO;
import com.eitc.modules.sys.dto.region.RegionProvince;
import com.eitc.modules.sys.entity.SysRegionEntity;

import java.util.List;
import java.util.Map;

/**
 * 行政区域
 *
 * @author Mark eitc@163.com
 */
public interface SysRegionService extends BaseService<SysRegionEntity> {

	List<SysRegionDTO> list(Map<String, Object> params);

	List<Map<String, Object>> getTreeList();

	SysRegionDTO get(Long id);

	void save(SysRegionDTO dto);

	void update(SysRegionDTO dto);

	void delete(Long id);

	int getCountByPid(Long pid);

	List<RegionProvince> getRegion(boolean threeLevel);
}